<?php
/**
 *
Template Name: slider_tutorial
 *
 * @package WordPress
 * @subpackage Twenty_Twelve
 * @since Twenty Twelve 1.0
 */

get_header(); ?>

	<style>
		
		section.slider-tutorial {
			position: relative;
			width: 100%;
			overflow: hidden;
			border: 1px solid #000000;
		}
		
		section.slider-tutorial div.skip-to {
			position: absolute;
			bottom: 0;
			right: 0;
			width: 20%;
		}
		
		section.slider-tutorial div.skip-to li{
			float: left;
			display: inline-block;
			margin-left: 5px;
			width: 10px;
		}
		
		section.slider-tutorial div.skip-to li a{
			display: block;
			padding: 10px;
		}
		
		section.slider-tutorial div.prev-button {
			width: 40px;
			height: 40px;
			position: absolute;		
			top: 50%;
			left: 10px;
			background-color: rgba(255, 255, 255, 0.5);
			-moz-border-radius: 25px;
			border-radius: 25px;
		}
		
		section.slider-tutorial div.prev-button span {
			display: block;
			margin: 0px auto;
			line-height: 90%;
			text-align: center;
			font-size: 30px;
		}
		
		section.slider-tutorial div.next-button {
			width: 40px;
			height: 40px;
			position: absolute;
			top: 50%;
			right: 10px;
			background-color: rgba(255, 255, 255, 0.5);
			-moz-border-radius: 25px;
			border-radius: 25px;
		}
		
		section.slider-tutorial div.next-button span {
			display: block;
			margin: 0px auto;
			line-height: 90%;
			text-align: center;
			font-size: 30px;
		}
		
		section.slider-tutorial article > img.attachment-post-thumbnail {
			padding: 0px !important;
			margin: 0px !important;
			border: 0px !important;
			max-width: 100%;
		}
		
		section.slider-tutorial article {
			position: absolute;
			width: 100%;			
			top: 0px;
			right: 200%;
			padding: 0px;
			border: 1px solid #000000;
			-webkit-transition: all 0.5s ease-in-out;
			-moz-transition: all 0.5s ease-in-out;
			-o-transition: all 0.5s ease-in-out;
			transition: all 0.5s ease-in-out;
		}
		
		section.slider-tutorial article header{
			position: absolute;
			top: 10%;
			left: -200%;
			width: 90%;
			-webkit-transition: all 1.0s ease-in-out;
			-moz-transition: all 1.0s ease-in-out;
			-o-transition: all 1.0s ease-in-out;
			transition: all 1.0s ease-in-out;
			background-color: rgba(0, 0, 0, 0.5);
			-moz-border-radius: 5px;
			border-radius: 5px;
		}
		
		section.slider-tutorial article header h1{
			padding: 20px;
		}
		
		section.slider-tutorial article div.entry-summary{
			position: absolute;
			bottom: 10%;
			left: 300%;
			width: 80%;
			padding: 10px;
			color: #ffffff;
			-webkit-transition: all 1.1s ease-in-out;
			-moz-transition: all 1.1s ease-in-out;
			-o-transition: all 1.1s ease-in-out;
			transition: all 1.1s ease-in-out;
			background-color: rgba(0, 0, 0, 0.5);
			-moz-border-radius: 5px;
			border-radius: 5px;
		}
		
		section.slider-tutorial article:target{
			right: 0px;
		}
		
		section.slider-tutorial article:target header{
			left: 5%;		
		}
		
		section.slider-tutorial article:target div.entry-summary{
			left: 10%;		
		}
		
		section.slider-tutorial article:target footer{
			right: 10%;		
		}
		
		section.slider-tutorial:hover article:target header, section.slider-tutorial:hover article:target div.entry-summary, section.slider-tutorial article:target footer{	
			background-color: rgba(0, 0, 0, 0.75);
		}
		
		.clear-fix:after {
			content: ".";
			display: block;
			clear: both;
			visibility: hidden;
			line-height: 0;
			height: 0;
		}
	</style>
	
	<script type="text/javascript">
		jQuery('document').ready(function(){
			var slider = jQuery('section.slider-tutorial');
			var height = slider.find('article img:first').height();
			slider.height(height);
			
			var chosen = document.location.hash;
			
			if(chosen != ''){
				chosen = slider.find('div.skip-to ol li a[value="' + chosen + '"]')
				chosen = chosen.parent('li:first');
			}
			
			if( chosen.length == 0 )
				chosen = slider.find('div.skip-to ol li:first');
				
			chosen.addClass('chosen');
					
			slider.find('div.prev-button span').click(function(event){
				event.preventDefault();
				var prev = slider.find('div.skip-to ol li.chosen').removeClass('chosen').prev('li').addClass('chosen').children('a');
				if(prev.length > 0)
					next = slider.find('div.skip-to ol li:last').addClass('chosen').children('a');
				
				document.location.hash = prev.attr('href');
			});
			
			slider.find('div.next-button span').click(function(event){
				event.preventDefault();
				var next = slider.find('div.skip-to ol li.chosen').removeClass('chosen').next('li').addClass('chosen').children('a');
				if(next.length == 0)
					next = slider.find('div.skip-to ol li:first').addClass('chosen').children('a');
				document.location.hash = next.attr('href');
			});			
			
			document.location.hash = chosen.children('a').attr('href');
		});
	</script>

	<div id="primary" class="site-content">
		<div id="content" role="main" class="clear-fix">
		<?php 
			query_posts( array( 
				'post_type' => 'post',
				'category' => 'slider'
			)); 
			$nav = '';
			$counter = 1;
		?>
		<section class="slider-tutorial">
			<div>
			<?php if ( have_posts() ) { ?>

				<?php while ( have_posts() ) { the_post(); ?>
					
					<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
						<?php the_post_thumbnail('full'); ?>
						<?php $nav .= '<li><a href="#post-' . get_the_ID() . '">' . $counter . '</a></li>' ?>
						<?php $counter++; ?>
						<header class="entry-header">						
							<h1 class="entry-title">
								<a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( sprintf( __( 'Permalink to %s' ), the_title_attribute( 'echo=0' ) ) ); ?>" rel="bookmark"><?php the_title(); ?></a>
							</h1>
						</header>

						<div class="entry-summary">
							<?php the_excerpt(); ?>
						</div>
					</article>
				<?php } ?>

			<?php } ?>
			</div>
			<div class="skip-to">
				<ol>
					<?php echo $nav; ?>
				</ol>
			</div>
			<div class="prev-button"><span>&#171;</span></div>
			<div class="next-button"><span>&#187;</span></div>			
		</section>
		
		<?php wp_reset_query(); ?>
		
		<?php /* Start the Loop */ ?>
		<?php while ( have_posts() ) : the_post(); ?>
			<?php get_template_part( 'content', get_post_format() ); ?>
		<?php endwhile; ?>
		</div><!-- #content -->
	</div><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>